//
//  FontPlistGeneratorTests.swift
//  
//
//  Created by Thibaut Schmitt on 05/09/2022.
//

import Foundation
import XCTest

@testable import ResgenSwift

final class FontPlistGeneratorTests: XCTestCase {
    func testGeneratedPlist() {
        // Given
        let fontNames: [FontName] = [
            FontName(postscriptName: "CircularStd-Regular", filename: "CircularStd-Regular", fileExtension: "ttf"),
            FontName(postscriptName: "CircularStd-Bold", filename: "CircularStd-Bold", fileExtension: "ttf")
        ]
        
        // When
        let plistContent = FontPlistGenerator.generatePlistUIAppsFontContent(for: fontNames, infoPlistPaths: [String]())
        
        // Expect
        let expect = """
        <key>UIAppFonts</key>
            <array>
                <string>CircularStd-Regular.ttf</string>
                <string>CircularStd-Bold.ttf</string>
            </array>
        """
        
        XCTAssertEqual(plistContent.adaptForXCTest(), expect.adaptForXCTest())
    }
}
